package com.goafanti.user.bo;
public class UserPageHomeBo {
    private String	uid;
    /**
     * 用户等级
     */
    private Integer	lvl;
    /**
     * 用户昵称
     */
    private String	nickname;
    /**
     * 邮箱
     */
    private String	email;
    /**
     * 用户编号
     */
    private Integer	number;
    /**
     * 帐号类型
     */
    private Integer	type;
    /**
     * 用户头像URL
     */
    private String	personPortraitUrl;
    /**
     * 公司LogoUrl
     */
    private String	logoUrl;
    /**
     * 专利数量
     */
    private Integer	patentNum;
    /**
     * 软著数量
     */
    private Integer	copyrightNum;
    /**
     * 科技成果数量
     */
    private Integer	techProjectNum;
    /**
     * 发布需求数量
     */
    private Integer	demandNum;
    /**
     * 发布成果数量
     */
    private Integer	achievementNum;
    /**
     * 知识产权数量
     */
    private Integer	intellectualPropertyNum;
    //会员名称
    private String gradeName;
    
    public String getGradeName() {
        return gradeName;
    }
    public void setGradeName(String gradeName) {
        this.gradeName = gradeName;
    }
    
    public String getUid() {
        return uid;
    }
    public void setUid(String uid) {
        this.uid = uid;
    }
    public Integer getLvl() {
        return lvl;
    }
    public void setLvl(Integer lvl) {
        this.lvl = lvl;
    }
    public String getNickname() {
        return nickname;
    }
    public void setNickname(String nickname) {
        this.nickname = nickname;
    }
    public String getEmail() {
        return email;
    }
    public void setEmail(String email) {
        this.email = email;
    }
    public Integer getNumber() {
        return number;
    }
    public void setNumber(Integer number) {
        this.number = number;
    }
    public Integer getType() {
        return type;
    }
    public void setType(Integer type) {
        this.type = type;
    }
    public String getPersonPortraitUrl() {
        return personPortraitUrl;
    }
    public void setPersonPortraitUrl(String personPortraitUrl) {
        this.personPortraitUrl = personPortraitUrl;
    }
    public String getLogoUrl() {
        return logoUrl;
    }
    public void setLogoUrl(String logoUrl) {
        this.logoUrl = logoUrl;
    }
    public Integer getPatentNum() {
        return patentNum;
    }
    public void setPatentNum(Integer patentNum) {
        this.patentNum = patentNum;
    }
    public Integer getCopyrightNum() {
        return copyrightNum;
    }
    public void setCopyrightNum(Integer copyrightNum) {
        this.copyrightNum = copyrightNum;
    }
    public Integer getTechProjectNum() {
        return techProjectNum;
    }
    public void setTechProjectNum(Integer techProjectNum) {
        this.techProjectNum = techProjectNum;
    }
    public Integer getDemandNum() {
        return demandNum;
    }
    public void setDemandNum(Integer demandNum) {
        this.demandNum = demandNum;
    }
    public Integer getAchievementNum() {
        return achievementNum;
    }
    public void setAchievementNum(Integer achievementNum) {
        this.achievementNum = achievementNum;
    }
    public Integer getIntellectualPropertyNum() {
        return intellectualPropertyNum;
    }
    public void setIntellectualPropertyNum(Integer intellectualPropertyNum) {
        this.intellectualPropertyNum = intellectualPropertyNum;
    }
}